List Recurring Gifts for a Contact
curl --request GET \
--url https://api.virtuoussoftware.com/api/RecurringGift/ByContact/{contactId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/RecurringGift/ByContact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/RecurringGift/ByContact/{contactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/RecurringGift/ByContact/{contactId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/RecurringGift/ByContact/{contactId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 700089,
"transactionSource": null,
"transactionId": null,
"contactId": 100456,
"startDate": "2023-02-15T00:00:00Z",
"amount": 50,
"frequency": "Monthly",
"anticipatedEndDate": null,
"cancelDateTimeUtc": null,
"createDateTimeUtc": "2023-02-15T10:30:00Z",
"createdByUser": "Online Form",
"modifiedDateTimeUtc": "2025-11-15T03:00:00Z",
"modifiedByUser": "Recurring Gift Service",
"segmentId": null,
"segment": null,
"segmentUrl": null,
"automatedPayments": true,
"trackPayments": true,
"isPrivate": false,
"status": "Active",
"nextExpectedPaymentDate": "2025-12-15T00:00:00Z",
"designations": [
{
"projectId": 1001,
"project": "General Fund",
"projectUrl": "https://api.virtuoussoftware.com/api/Project/1001",
"amountDesignated": 50,
"projectCode": "GEN"
}
],
"customFields": []
}
],
"total": 1
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Recurring Gifts
List Recurring Gifts for a Contact
GET
/
api
/
RecurringGift
/
ByContact
/
{contactId}
List Recurring Gifts for a Contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact identifier.
Query Parameters
The field to be sorted. Supported: Id, RecurringGiftDate, Amount, CreatedDateTime.
The direction to sort the results. Set to true to sort in descending order.
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on July 24, 2026
Was this page helpful?
⌘I